Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deRender.hpp File Reference

High-level Rendering interface. More...

`#include "deGlobalTypes.hpp"`
`#include "deDriver.hpp"`
`#include "deMath.hpp"`

Include dependency graph for deRender.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | IdeRender
struct | deRenderSurface
struct | deRenderObject
| a structure used by the scenegraph to have geometry rendered More...
struct | deRenderStats
## Defines
#define | DERENDER_API extern "C" DEDLL_IMPORT
#define | DERENDER_MAX_LIGHTS (32)
## Typedefs
typedef IdeRender *(* | fIdeRender_GetPtr )()
typedef void(* | fIdeRender_Destroy )()
typedef void(* | fIdeRender_DestroyDriverLinkages )()
## Functions
C DEDLL_IMPORT deBoolean | IdeRender_Initialize ()
| initialize the Render system
C DEDLL_IMPORT IdeRender * | IdeRender_GetPtr ()
| get a pointer to an IdeRender singleton.
C DEDLL_IMPORT void | IdeRender_Destroy ()
| destroy the IdeRender singleton
C DEDLL_IMPORT void | IdeRender_DestroyDriverLinkages ()
| release all drivers held by IdeDriver

## Detailed Description

High-level Rendering interface.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Feb 2002

Author:
  Assassin

Remarks:
  Initial Creation

## Define Documentation

#define DERENDER_API extern "C" DEDLL_IMPORT

#define DERENDER_MAX_LIGHTS (32)

## Typedef Documentation

typedef void(* fIdeRender_Destroy)()

typedef void(* fIdeRender_DestroyDriverLinkages)()

typedef IdeRender*(* fIdeRender_GetPtr)()

## Function Documentation

C DEDLL_IMPORT void IdeRender_Destroy | ( |  | ) |

| destroy the IdeRender singleton

C DEDLL_IMPORT void IdeRender_DestroyDriverLinkages | ( |  | ) |

| release all drivers held by IdeDriver

C DEDLL_IMPORT IdeRender* IdeRender_GetPtr | ( |  | ) |

| get a pointer to an IdeRender singleton.

C DEDLL_IMPORT deBoolean IdeRender_Initialize | ( |  | ) |

| initialize the Render system